using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.ProductGalleriesCQ.EventHandlers;

public class DeleteProductGallerysEventHandler : INotificationHandler<DeleteProductGallerysEvent>
{
    private readonly ILogger<
        DeleteProductGallerysEventHandler> _logger;

    public DeleteProductGallerysEventHandler(ILogger<DeleteProductGallerysEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(DeleteProductGallerysEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
